cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"customers": [
{
"key": "XXXX-XXXX-XXXX-XXXX",
"id": "0",
"email": "",
"status": "active",
"balance": 0,
"totalSpent": 199.98,
"orderCount": 2,
"averageOrder": 99.99,
"lastOrder": "2026-10-30T08:58:54.292Z",
"joinedAt": "2026-10-30T08:05:16.747Z",
"ipAddress": "::1",
"referralCount": 0,
"isAffiliate": false,
"ticketCount": 0,
"integrationCount": 0
},
{
"key": "XXXX-XXXX-XXXX-XXXX",
"id": "2408006",
"email": "buyer@example.com",
"status": "vip",
"balance": 0,
"totalSpent": 200,
"orderCount": 1,
"averageOrder": 200,
"lastOrder": "2026-10-29T23:50:51.575Z",
"joinedAt": "2026-10-29T23:50:46.575Z",
"ipAddress": null,
"referralCount": 0,
"isAffiliate": false,
"ticketCount": 0,
"integrationCount": 0
}
],
"page": 1,
"limit": 2,
"total": 203
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}List customers
Buyers who ordered from the store.
Scope: customer:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
customers
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/customers",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"customers": [
{
"key": "XXXX-XXXX-XXXX-XXXX",
"id": "0",
"email": "",
"status": "active",
"balance": 0,
"totalSpent": 199.98,
"orderCount": 2,
"averageOrder": 99.99,
"lastOrder": "2026-10-30T08:58:54.292Z",
"joinedAt": "2026-10-30T08:05:16.747Z",
"ipAddress": "::1",
"referralCount": 0,
"isAffiliate": false,
"ticketCount": 0,
"integrationCount": 0
},
{
"key": "XXXX-XXXX-XXXX-XXXX",
"id": "2408006",
"email": "buyer@example.com",
"status": "vip",
"balance": 0,
"totalSpent": 200,
"orderCount": 1,
"averageOrder": 200,
"lastOrder": "2026-10-29T23:50:51.575Z",
"joinedAt": "2026-10-29T23:50:46.575Z",
"ipAddress": null,
"referralCount": 0,
"isAffiliate": false,
"ticketCount": 0,
"integrationCount": 0
}
],
"page": 1,
"limit": 2,
"total": 203
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Query Parameters
Page number, starting at 1.
Required range:
x >= 1Items per page (1–100).
Required range:
1 <= x <= 100Response
A page of customers.
The response is of type object.

